> ## Documentation Index
> Fetch the complete documentation index at: https://docs.invo.work/llms.txt
> Use this file to discover all available pages before exploring further.

# Inutilizar faixa de numeração (NF-e)



## OpenAPI

````yaml /openapi-nfe.json post /inutilizacoes
openapi: 3.0.1
info:
  title: Invo API Docs — NF-e
  version: v1
servers:
  - url: https://invo.work/api/nfe/v1
security: []
tags:
  - name: Notas de Produto
  - name: Inutilizações
  - name: Mercadorias
  - name: Empresa
paths:
  /inutilizacoes:
    post:
      tags:
        - Inutilizações
      summary: Inutilizar faixa de numeração (NF-e)
      parameters:
        - name: X-Empresa-CNPJ
          in: header
          required: false
          schema:
            description: >-
              CNPJ da empresa emitente. Ausente, usa a primeira empresa da
              conta.
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                serie:
                  type: integer
                  minimum: 0
                  maximum: 999
                numero_inicial:
                  type: integer
                  minimum: 1
                  maximum: 999999999
                numero_final:
                  type: integer
                  minimum: 1
                  maximum: 999999999
                justificativa:
                  description: '* Não pode ser vazio'
                  type: string
                  minLength: 15
                  maxLength: 255
              required:
                - serie
                - numero_inicial
                - numero_final
                - justificativa
              additionalProperties: false
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    enum:
                      - Faixa de numeração inutilizada com sucesso
                  serie:
                    type: integer
                  numero_inicial:
                    type: integer
                  numero_final:
                    type: integer
                  protocolo:
                    type: string
                required:
                  - message
                  - serie
                  - numero_inicial
                  - numero_final
                  - protocolo
                additionalProperties: false
          description: OK
        '401':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - 'HTTP Basic: Access denied.'
                required:
                  - error
                additionalProperties: false
          description: Unauthorized
        '422':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      error:
                        type: string
                        enum:
                          - >-
                            numero_final deve ser maior ou igual a
                            numero_inicial
                    required:
                      - error
                    additionalProperties: false
                  - type: object
                    properties:
                      error:
                        type: string
                        enum:
                          - Empresa não está apta a emitir NF-e
                    required:
                      - error
                    additionalProperties: false
                  - type: object
                    properties:
                      error:
                        type: string
                        enum:
                          - invalid_params
                      params:
                        description: >-
                          An object containing error messages for all invalid
                          params
                        type: object
                        additionalProperties:
                          type: string
                    required:
                      - error
                      - params
                    additionalProperties: false
          description: Unprocessable Content
        '502':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - Falha de comunicação com a SEFAZ
                required:
                  - error
                additionalProperties: false
          description: Bad Gateway
      security:
        - basicAuth: []
components:
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic

````